/**************************************************************************/
/* LabWindows/CVI User Interface Resource (UIR) Include File              */
/* Copyright (c) National Instruments 1998. All Rights Reserved.          */
/*                                                                        */
/* WARNING: Do not add to, delete from, or otherwise modify the contents  */
/*          of this include file.                                         */
/**************************************************************************/

#include <userint.h>

#ifdef __cplusplus
    extern "C" {
#endif

     /* Panels and Controls: */

#define  BCKGRND                         1

#define  CONFIG_ANL                      2
#define  CONFIG_ANL_CONTINUE             2       /* callback function: configAnalyzer */
#define  CONFIG_ANL_CHAN                 3       /* callback function: controlHelp */
#define  CONFIG_ANL_INP                  4       /* callback function: controlHelp */
#define  CONFIG_ANL_PEAKUNIT             5       /* callback function: controlHelp */
#define  CONFIG_ANL_PEAKREF              6       /* callback function: controlHelp */
#define  CONFIG_ANL_FREQUNIT             7       /* callback function: controlHelp */
#define  CONFIG_ANL_FREQREF              8       /* callback function: controlHelp */
#define  CONFIG_ANL_QUIT                 9       /* callback function: quitApplication */
#define  CONFIG_ANL_TEXTMSG              10
#define  CONFIG_ANL_TEXTMSG_1            11

#define  CONFIG_GEN                      3
#define  CONFIG_GEN_CHAN                 2       /* callback function: controlHelp */
#define  CONFIG_GEN_FREQ                 3       /* callback function: controlHelp */
#define  CONFIG_GEN_AMPL                 4       /* callback function: controlHelp */
#define  CONFIG_GEN_OFFS                 5       /* callback function: controlHelp */
#define  CONFIG_GEN_CONTINUE             6       /* callback function: configGenerator */
#define  CONFIG_GEN_QUIT                 7       /* callback function: quitApplication */
#define  CONFIG_GEN_TEXTMSG              8
#define  CONFIG_GEN_TEXTMSG_2            9

#define  INIT                            4
#define  INIT_CONTINUE                   2       /* callback function: initInstrument */
#define  INIT_ADDRESS                    3       /* callback function: controlHelp */
#define  INIT_ID                         4       /* callback function: controlHelp */
#define  INIT_RST                        5       /* callback function: controlHelp */
#define  INIT_CANCEL                     6       /* callback function: Cancel */

#define  MEAS                            5
#define  MEAS_START                      2       /* callback function: startMeasurement */
#define  MEAS_CONFIGGEN                  3       /* callback function: launchGenConfig */
#define  MEAS_CONFIGANL                  4       /* callback function: launchAnlConfig */
#define  MEAS_QUIT                       5       /* callback function: quitApplication */
#define  MEAS_OUT_PEAK                   6       /* callback function: controlHelp */
#define  MEAS_OUT_FREQ                   7       /* callback function: controlHelp */
#define  MEAS_STOP                       8       /* callback function: controlHelp */
#define  MEAS_TEXTMSG                    9


     /* Menu Bars, Menus, and Menu Items: */

#define  MENU                            1
#define  MENU_HELP                       2       /* callback function: panelHelp */

#define  MENU_2                          2
#define  MENU_2_HELP                     2       /* callback function: panelHelp */


     /* Callback Prototypes: */ 

int  CVICALLBACK Cancel(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK configAnalyzer(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK configGenerator(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK controlHelp(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK initInstrument(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK launchAnlConfig(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK launchGenConfig(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
void CVICALLBACK panelHelp(int menubar, int menuItem, void *callbackData, int panel);
int  CVICALLBACK quitApplication(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);
int  CVICALLBACK startMeasurement(int panel, int control, int event, void *callbackData, int eventData1, int eventData2);


#ifdef __cplusplus
    }
#endif
